Bug 803788 - Wrong rendering of the EURO sign (€) in firefox
Wrong rendering of the EURO sign (€) in firefox
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-15 12:22 EDT by Joachim Backes
Modified: 2012-03-22 06:47 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-22 06:47:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
All fonts in /usr/share/fonts (62.44 KB, application/octet-stream)
2012-03-19 11:09 EDT, Joachim Backes
no flags Details
wrong rendered EURO symbols (bottom side of the gif, see at "Einige Beispiele" (62.43 KB, image/gif)
2012-03-21 06:52 EDT, Joachim Backes
no flags Details
correctly rendered euro (44.15 KB, image/png)
2012-03-21 11:03 EDT, Jan Horak
no flags Details

  None (edit)
Description Joachim Backes 2012-03-15 12:22:23 EDT
Description of problem:
I tried to display a WEB page containing the EURO sign ("€") directly in the source code and not by the HTML coding "€". But if displaying that page, the € is displayed as the sun symbol and not as EURO.

Searching the € on that page with Firefox -> find... hits all locations with that wrongly displayed EURO sign.

The page I have that problems with is:

http://www.rhrk.uni-kl.de/serverdienste/virtuell

Version-Release number of selected component (if applicable):
firefox-10.0.1-1.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1.firefox http://www.rhrk.uni-kl.de/serverdienste/virtuell
2.
3.
  
Actual results:
EURO is not correctly displayed

Expected results:


Additional info:

1. I'm not the author of that page
2. konqueror shows the page correctly
3. $LANG = en_US.utf8
4. Trying the same in UBUNTU-10.04 displays the page correctly with firefox
Comment 1 Joachim Backes 2012-03-16 09:39:44 EDT
Even opera opera-11.61-1250.x86_64 renders in f17 the euro sign correctly, without any modification of the opera preferences.
Comment 2 Jan Horak 2012-03-19 10:05:43 EDT
I cannot reproduce it with firefox-10.0.1-1.fc16.x86_64. It may be related to f17 only. Do you have some third party fonts installed (for example from rpmfusion)?

You may attach output of following commands to help us sort things out:
yum list installed |grep font
yum repolist
Comment 3 Joachim Backes 2012-03-19 11:05:34 EDT
abattis-cantarell-fonts.noarch      0.0.7-2.fc17               @anaconda-0      
cjkuni-uming-fonts.noarch           0.2.20080216.1-48.fc17     @anaconda-0      
dejavu-fonts-common.noarch          2.33-3.fc17                @anaconda-0      
dejavu-sans-fonts.noarch            2.33-3.fc17                @anaconda-0      
dejavu-sans-mono-fonts.noarch       2.33-3.fc17                @anaconda-0      
dejavu-serif-fonts.noarch           2.33-3.fc17                @anaconda-0      
fluid-soundfont-common.noarch       3.1-7.fc17                 @fedora          
fluid-soundfont-gm.noarch           3.1-7.fc17                 @fedora          
fluid-soundfont-lite-patches.noarch 3.1-7.fc17                 @fedora          
fontconfig.i686                     2.8.0-5.fc17               @fedora          
fontconfig.x86_64                   2.8.0-5.fc17               @anaconda-0      
fontconfig-devel.x86_64             2.8.0-5.fc17               @fedora          
fontpackages-filesystem.noarch      1.44-3.fc17                @anaconda-0      
ghostscript-fonts.noarch            5.50-28.fc17               @anaconda-0      
jomolhari-fonts.noarch              0.003-11.fc17              @anaconda-0      
khmeros-base-fonts.noarch           5.0-12.fc17                @anaconda-0      
khmeros-fonts-common.noarch         5.0-12.fc17                @anaconda-0      
libXfont.x86_64                     1.4.5-1.fc17               @updates-testing 
liberation-fonts-common.noarch      1.07.2-3.fc17              @updates-testing 
liberation-mono-fonts.noarch        1.07.2-3.fc17              @updates-testing 
liberation-narrow-fonts.noarch      1.07.2-3.fc17              @updates-testing 
liberation-sans-fonts.noarch        1.07.2-3.fc17              @updates-testing 
liberation-serif-fonts.noarch       1.07.2-3.fc17              @updates-testing 
libfontenc.x86_64                   1.1.0-2.fc17               @anaconda-0      
libreoffice-opensymbol-fonts.noarch 1:3.5.1.2-1.fc17           installed        
lklug-fonts.noarch                  0.6-6.20090803cvs.fc17     @anaconda-0      
lohit-assamese-fonts.noarch         2.5.1-1.fc17               @updates-testing 
lohit-bengali-fonts.noarch          2.5.1-1.fc17               @updates-testing 
lohit-devanagari-fonts.noarch       2.5.1-2.fc17               @updates-testing 
lohit-gujarati-fonts.noarch         2.5.1-1.fc17               @updates-testing 
lohit-kannada-fonts.noarch          2.5.1-1.fc17               @updates-testing 
lohit-oriya-fonts.noarch            2.5.1-1.fc17               @updates-testing 
lohit-punjabi-fonts.noarch          2.5.1-1.fc17               @updates-testing 
lohit-tamil-fonts.noarch            2.5.0-2.fc17               @anaconda-0      
lohit-telugu-fonts.noarch           2.5.1-1.fc17               @updates-testing 
lyx-fonts.noarch                    2.0.3-1.fc17               @updates-testing 
mscore-fonts.noarch                 1.1-4.fc17                 @updates-testing 
nhn-nanum-gothic-fonts.noarch       3.020-1.fc17               @anaconda-0      
paktype-naqsh-fonts.noarch          3.0-6.fc17                 @anaconda-0      
abattis-cantarell-fonts.noarch      0.0.7-2.fc17               @anaconda-0      
cjkuni-uming-fonts.noarch           0.2.20080216.1-48.fc17     @anaconda-0      
dejavu-fonts-common.noarch          2.33-3.fc17                @anaconda-0      
dejavu-sans-fonts.noarch            2.33-3.fc17                @anaconda-0      
dejavu-sans-mono-fonts.noarch       2.33-3.fc17                @anaconda-0      
dejavu-serif-fonts.noarch           2.33-3.fc17                @anaconda-0      
fluid-soundfont-common.noarch       3.1-7.fc17                 @fedora          
fluid-soundfont-gm.noarch           3.1-7.fc17                 @fedora          
fluid-soundfont-lite-patches.noarch 3.1-7.fc17                 @fedora          
fontconfig.i686                     2.8.0-5.fc17               @fedora          
fontconfig.x86_64                   2.8.0-5.fc17               @anaconda-0      
fontconfig-devel.x86_64             2.8.0-5.fc17               @fedora          
fontpackages-filesystem.noarch      1.44-3.fc17                @anaconda-0      
ghostscript-fonts.noarch            5.50-28.fc17               @anaconda-0      
jomolhari-fonts.noarch              0.003-11.fc17              @anaconda-0      
khmeros-base-fonts.noarch           5.0-12.fc17                @anaconda-0      
khmeros-fonts-common.noarch         5.0-12.fc17                @anaconda-0      
libXfont.x86_64                     1.4.5-1.fc17               @updates-testing 
liberation-fonts-common.noarch      1.07.2-3.fc17              @updates-testing 
liberation-mono-fonts.noarch        1.07.2-3.fc17              @updates-testing 
liberation-narrow-fonts.noarch      1.07.2-3.fc17              @updates-testing 
liberation-sans-fonts.noarch        1.07.2-3.fc17              @updates-testing 
liberation-serif-fonts.noarch       1.07.2-3.fc17              @updates-testing 
libfontenc.x86_64                   1.1.0-2.fc17               @anaconda-0      
libreoffice-opensymbol-fonts.noarch 1:3.5.1.2-1.fc17           installed        
lklug-fonts.noarch                  0.6-6.20090803cvs.fc17     @anaconda-0      
lohit-assamese-fonts.noarch         2.5.1-1.fc17               @updates-testing 
lohit-bengali-fonts.noarch          2.5.1-1.fc17               @updates-testing 
lohit-devanagari-fonts.noarch       2.5.1-2.fc17               @updates-testing 
lohit-gujarati-fonts.noarch         2.5.1-1.fc17               @updates-testing 
lohit-kannada-fonts.noarch          2.5.1-1.fc17               @updates-testing 
lohit-oriya-fonts.noarch            2.5.1-1.fc17               @updates-testing 
lohit-punjabi-fonts.noarch          2.5.1-1.fc17               @updates-testing 
lohit-tamil-fonts.noarch            2.5.0-2.fc17               @anaconda-0      
lohit-telugu-fonts.noarch           2.5.1-1.fc17               @updates-testing 
lyx-fonts.noarch                    2.0.3-1.fc17               @updates-testing 
mscore-fonts.noarch                 1.1-4.fc17                 @updates-testing 
nhn-nanum-gothic-fonts.noarch       3.020-1.fc17               @anaconda-0      
paktype-naqsh-fonts.noarch          3.0-6.fc17                 @anaconda-0      
yum list installed |grep font
------------------------------
paktype-tehreer-fonts.noarch        2.0-12.fc17                @anaconda-0      
paratype-pt-sans-fonts.noarch       20100408-3.fc17            @anaconda-0      
sil-abyssinica-fonts.noarch         1.200-2.fc17               @anaconda-0      
sil-padauk-fonts.noarch             2.4-8.fc17                 @anaconda-0      
smc-fonts-common.noarch             4.4-7.fc17                 @anaconda-0      
smc-meera-fonts.noarch              4.4-7.fc17                 @anaconda-0      
stix-fonts.noarch                   1.0.0-3.fc17               @anaconda-0      
texlive-texmf-fonts.noarch          2007-41.fc17               @fedora          
thai-scalable-fonts-common.noarch   0.5.0-1.fc17               @updates-testing 
thai-scalable-waree-fonts.noarch    0.5.0-1.fc17               @updates-testing 
urw-fonts.noarch                    2.4-11.fc17                @anaconda-0      
vlgothic-fonts.noarch               20120312-1.fc17            installed        
vlgothic-fonts-common.noarch        20120312-1.fc17            installed        
wine-courier-fonts.noarch           1.4-1.fc17                 @updates-testing 
wine-fonts.noarch                   1.4-1.fc17                 @updates-testing 
wine-marlett-fonts.noarch           1.4-1.fc17                 @updates-testing 
wine-ms-sans-serif-fonts.noarch     1.4-1.fc17                 @updates-testing 
wine-small-fonts.noarch             1.4-1.fc17                 @updates-testing 
wine-symbol-fonts.noarch            1.4-1.fc17                 @updates-testing 
wine-system-fonts.noarch            1.4-1.fc17                 @updates-testing 
wine-tahoma-fonts.noarch            1.4-1.fc17                 @updates-testing 
wqy-zenhei-fonts.noarch             0.9.46-3.fc17              @anaconda-0      
xorg-x11-font-utils.x86_64          1:7.5-7.fc17               @anaconda-0      
xorg-x11-fonts-ISO8859-1-100dpi.noarch
xorg-x11-fonts-Type1.noarch         7.5-5.fc17                 @fedora   

       
yum repolist
----------------
Loaded plugins: langpacks, presto, refresh-packagekit
adobe-linux-i386                                                                             |  951 B     00:00     
fedora/metalink                                                                              |  12 kB     00:00     
fedora                                                                                       | 4.2 kB     00:00     
fedora/primary_db                                                                            |  14 MB     00:09     
fedora/group_gz                                                                              | 426 kB     00:01     
rpmfusion-free-rawhide                                                                       | 1.2 kB     00:00     
rpmfusion-nonfree                                                                            | 1.2 kB     00:00     
rpmfusion-nonfree-updates                                                                    | 1.2 kB     00:00     
rpmfusion-nonfree-updates-testing                                                            | 2.7 kB     00:00     
rpmfusion-nonfree-updates-testing/primary_db                                                 |  46 kB     00:00     
updates/metalink                                                                             |  27 kB     00:00     
updates-testing/metalink                                                                     |  22 kB     00:00     
updates-testing                                                                              | 4.5 kB     00:00     
updates-testing/primary_db                                                                   | 3.9 MB     00:02     
updates-testing/group_gz                                                                     | 426 kB     00:00     
repo id                                        repo name                                                      status
adobe-linux-i386                               Adobe Systems Incorporated                                         17
*fedora                                        Fedora 17 - x86_64                                             26,475
rpmfusion-free-rawhide                         RPM Fusion for Fedora Rawhide - Free                              429
rpmfusion-nonfree                              RPM Fusion for Fedora 17 - Nonfree                                194
rpmfusion-nonfree-updates                      RPM Fusion for Fedora 17 - Nonfree - Updates                        0
rpmfusion-nonfree-updates-testing              RPM Fusion for Fedora 17 - Nonfree - Test Updates                  71
updates                                        Fedora 17 - x86_64 - Updates                                        0
updates-testing                                Fedora 17 - x86_64 - Test Updates                               5,593
repolist: 32,779


Additionally, I copied some fonts from my windows7 box and from some free accessible sources. See attachment!
Comment 4 Joachim Backes 2012-03-19 11:09:01 EDT
Created attachment 571145 [details]
All fonts in /usr/share/fonts

All other fonts (including the already described ones).
Comment 5 Joachim Backes 2012-03-19 11:19:41 EDT
Having the same problem with an Centos machine (where I'm a normal user, no admin), OS: Red Hat Enterprise Linux Server release 5 (Tikanga).

There the Euro sign is rendered wrong too, exactly as on my F17 box.
Comment 6 Joachim Backes 2012-03-19 11:45:35 EDT
If I look a into into the HTML source for this bug (803788) report by firefox->web developer->view page source, I see that the EURO sign in the subject line not coded as €, but directly as €, and here I see it correctly with the same firefox having problems with the  website I  specified above!
Comment 7 Jan Horak 2012-03-21 06:19:40 EDT
Could you attach a screenshot of wrongly rendered euro symbol and let us know which font is choosed in  Preferences/Content/Default font and Preferences/Content/Fonts & colours/Advanced?

You may also test if new profile is working fine by running firefox with -ProfileManager and try to create a new profile.
Comment 8 Joachim Backes 2012-03-21 06:52:11 EDT
Created attachment 571679 [details]
wrong rendered EURO symbols (bottom side of the gif, see at "Einige Beispiele"

Firefox window of http://www.rhrk.uni-kl.de/serverdienste/virtuell (as already described)
Comment 9 Joachim Backes 2012-03-21 07:04:29 EDT
(In reply to comment #7)
> Could you attach a screenshot of wrongly rendered euro symbol and let us know
> which font is choosed in  Preferences/Content/Default font

sans serif/14

> and
> Preferences/Content/Fonts & colours/Advanced?

Western (ISO-8859-1)

> 
> You may also test if new profile is working fine by running firefox with
> -ProfileManager and try to create a new profile.
Comment 10 Joachim Backes 2012-03-21 07:08:08 EDT
Creating a new profile will render the EURO symbol similar to my standard profile; useless!
Comment 11 Jan Horak 2012-03-21 11:03:42 EDT
Created attachment 571737 [details]
correctly rendered euro

You seems to have slightly different font installed as default. Compare marked J letter. Try to temporary remove ttf fonts from windows 7 you've installed. You may also try to change Preferences/Content/Default font to something else, like Dejavu sans.
Comment 12 Joachim Backes 2012-03-21 16:47:41 EDT
Testing all optionen you mentioned, but without any success.

But: If I go to "http://www.studierendenwerk-kaiserslautern.de/kaiserslautern/essen-und-trinken/tu-kaiserslautern/mensa/" and see that there are infos with the directly coded EURO sign *and* it the EURO *is rendered correctly*, then I'm totally confused! Why this page is rendered correctly? Now that's your turn :-)
Comment 13 Jan Horak 2012-03-22 03:38:16 EDT
It's because text is using different fonts:
http://www.rhrk.uni-kl.de/serverdienste/virtuell:
Tahoma,Geneva,sans-serif
http://www.studierendenwerk-kaiserslautern.de/kaiserslautern/essen-und-trinken/tu-kaiserslautern/mensa/
Arial,Helvetica,sans-serif

See css styles for both pages.

My Tahoma looks different than font on your screenshots, I don't have Geneva installed (probably Win font).

I suggest to remove Tahoma and Geneva fonts from your system (if they come from Windows). After removing them use 'fc-cache -f -v' as root to rebuild font cache.
Comment 14 Joachim Backes 2012-03-22 03:53:06 EDT
(In reply to comment #13)
> It's because text is using different fonts:
> http://www.rhrk.uni-kl.de/serverdienste/virtuell:
> Tahoma,Geneva,sans-serif
> http://www.studierendenwerk-kaiserslautern.de/kaiserslautern/essen-und-trinken/tu-kaiserslautern/mensa/
> Arial,Helvetica,sans-serif
> 
> See css styles for both pages.
> 
> My Tahoma looks different than font on your screenshots, I don't have Geneva
> installed (probably Win font).
> 
> I suggest to remove Tahoma and Geneva fonts from your system (if they come from
> Windows). After removing them use 'fc-cache -f -v' as root to rebuild font
> cache.

Removing the Tahoma fonts solves my problems :---------).

Thank you very much, and excuse for trouble.

Note You need to log in before you can comment on or make changes to this bug.